summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Robby Workman2012-09-16 02:47:19 +0200
committer dsomero2012-09-17 01:45:10 +0200
commit285bb3c2fe62e888499d35b80a1a1a883a0776d1 (patch)
tree7a23c4f326dbccf1060dcc6cfd35cbefb98930bb
parent110e5a9b1ed6c2242e38812e1cf1a1905ae02c03 (diff)
downloadslackbuilds-285bb3c2fe62e888499d35b80a1a1a883a0776d1.tar.gz
python/pygobject3: Added (gobject bindings for python)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
-rw-r--r--python/pygobject3/README3
-rw-r--r--python/pygobject3/pygobject3.SlackBuild100
-rw-r--r--python/pygobject3/pygobject3.info10
-rw-r--r--python/pygobject3/slack-desc19
4 files changed, 132 insertions, 0 deletions
diff --git a/python/pygobject3/README b/python/pygobject3/README
new file mode 100644
index 0000000000..5900fdab94
--- /dev/null
+++ b/python/pygobject3/README
@@ -0,0 +1,3 @@
+This archive contains bindings for the GObject, to be used in Python.
+It is a fairly complete set of bindings, it's already rather useful,
+and is usable to write moderately complex programs.
diff --git a/python/pygobject3/pygobject3.SlackBuild b/python/pygobject3/pygobject3.SlackBuild
new file mode 100644
index 0000000000..89a2851b0d
--- /dev/null
+++ b/python/pygobject3/pygobject3.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/sh
+
+# Copyright 2007, 2008 Erik Hanson erik@slackbuilds.org
+# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PRGNAM=pygobject3
+SRCNAM=pygobject
+VERSION=${VERSION:-3.2.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.xz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ INSTALL AUTHORS COPYING* NEWS README* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+( cd $PKG/usr/doc/$PRGNAM-$VERSION
+ ln -s ../../share/gtk-doc/html/pygobject html
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+
diff --git a/python/pygobject3/pygobject3.info b/python/pygobject3/pygobject3.info
new file mode 100644
index 0000000000..1820a35a1d
--- /dev/null
+++ b/python/pygobject3/pygobject3.info
@@ -0,0 +1,10 @@
+PRGNAM="pygobject3"
+VERSION="3.2.2"
+HOMEPAGE="http://www.pygtk.org/"
+DOWNLOAD="http://ftp.gnome.org/pub/GNOME/sources/pygobject/3.2/pygobject-3.2.2.tar.xz"
+MD5SUM="f895f1ec37f60c2ba528c2d760bcb69e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Robby Workman"
+EMAIL="rw@rlworkman.net"
diff --git a/python/pygobject3/slack-desc b/python/pygobject3/slack-desc
new file mode 100644
index 0000000000..340eb94b08
--- /dev/null
+++ b/python/pygobject3/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+pygobject3: pygobject3 (GObject bindings for Python)
+pygobject3:
+pygobject3: This archive contains bindings for the GObject, to be used in Python.
+pygobject3: It is a fairly complete set of bindings, it's already rather useful,
+pygobject3: and is usable to write moderately complex programs.
+pygobject3:
+pygobject3: pygobject's home page: http://www.pygtk.org/
+pygobject3:
+pygobject3:
+pygobject3:
+pygobject3: